#ifndef __USER_AUDIO__
#define __USER_AUDIO__
/*==============================================================================
    FILE:           user_audio.h

    DESCRIPTION:    Uses the cld_bf70x_audio_1_0_lib library to implement a basic
                    USB audio device.

    Copyright (c) 2015 Closed Loop Design, LLC

    This software is supplied "AS IS" without any warranties, express, implied
    or statutory, including but not limited to the implied warranties of fitness
    for purpose, satisfactory quality and non-infringement. Closed Loop Design LLC
    extends you a royalty-free right to reproduce and distribute executable files
    created using this software for use on Analog Devices Blackfin family
    processors only. Nothing else gives you the right to use this software.

==============================================================================*/
typedef enum
{
    USER_AUDIO_INIT_SUCCESS = 0,
    USER_AUDIO_INIT_ONGOING,
    USER_AUDIO_INIT_FAILED,
} User_Audio_Init_Return_Code;

extern User_Audio_Init_Return_Code user_audio_init (void);
extern void user_audio_main (void);
extern void user_audio_transmit_audio_stream_data (unsigned char * p_data, unsigned short data_length);
#endif /* __USER_AUDIO__ */
