/*
 **
 ** Source file generated on June 23, 2017 at 12:32:16.	
 **
 ** Copyright (C) 2017 Analog Devices Inc., All Rights Reserved.
 **
 ** This file is generated automatically based upon the options selected in 
 ** the Pin Multiplexing configuration editor. Changes to the Pin Multiplexing
 ** configuration should be made by changing the appropriate options rather
 ** than editing this file.
 **
 ** Selected Peripherals
 ** --------------------
 ** SPT0 (ACLK, AFS, AD0, BCLK, BFS, BD0)
 ** SPT1 (ACLK, AFS, AD0, BCLK, BFS, BD0)
 **
 ** GPIO (unavailable)
 ** ------------------
 ** PA08, PA09, PA10, PC04, PC05, PC06, PC07, PC08, PC09, PC10
 */

#include <sys/platform.h>
#include <stdint.h>

#define SPT0_ACLK_PORTC_MUX  ((uint32_t) ((uint32_t) 0<<18))
#define SPT0_AFS_PORTC_MUX  ((uint16_t) ((uint16_t) 0<<10))
#define SPT0_AD0_PORTC_MUX  ((uint32_t) ((uint32_t) 0<<16))
#define SPT0_BCLK_PORTC_MUX  ((uint16_t) ((uint16_t) 0<<8))
#define SPT0_BFS_PORTC_MUX  ((uint16_t) ((uint16_t) 0<<14))
#define SPT0_BD0_PORTC_MUX  ((uint16_t) ((uint16_t) 0<<12))
#define SPT1_ACLK_PORTA_MUX  ((uint32_t) ((uint32_t) 2<<16))
#define SPT1_AFS_PORTA_MUX  ((uint32_t) ((uint32_t) 2<<18))
#define SPT1_AD0_PORTA_MUX  ((uint32_t) ((uint32_t) 2<<20))
#define SPT1_BCLK_PORTC_MUX  ((uint32_t) ((uint32_t) 0<<20))
#define SPT1_BFS_PORTC_MUX  ((uint32_t) ((uint32_t) 0<<22))
#define SPT1_BD0_PORTC_MUX  ((uint32_t) ((uint32_t) 0<<24))

#define SPT0_ACLK_PORTC_FER  ((uint32_t) ((uint32_t) 1<<9))
#define SPT0_AFS_PORTC_FER  ((uint16_t) ((uint16_t) 1<<5))
#define SPT0_AD0_PORTC_FER  ((uint32_t) ((uint32_t) 1<<8))
#define SPT0_BCLK_PORTC_FER  ((uint16_t) ((uint16_t) 1<<4))
#define SPT0_BFS_PORTC_FER  ((uint16_t) ((uint16_t) 1<<7))
#define SPT0_BD0_PORTC_FER  ((uint16_t) ((uint16_t) 1<<6))
#define SPT1_ACLK_PORTA_FER  ((uint32_t) ((uint32_t) 1<<8))
#define SPT1_AFS_PORTA_FER  ((uint32_t) ((uint32_t) 1<<9))
#define SPT1_AD0_PORTA_FER  ((uint32_t) ((uint32_t) 1<<10))
#define SPT1_BCLK_PORTC_FER  ((uint32_t) ((uint32_t) 1<<10))
#define SPT1_BFS_PORTC_FER  ((uint32_t) ((uint32_t) 1<<11))
#define SPT1_BD0_PORTC_FER  ((uint32_t) ((uint32_t) 1<<12))

int32_t adi_initpinmux(void);

/*
 * Initialize the Port Control MUX Registers
 */
int32_t adi_initpinmux(void) {
    /* PORTx_MUX registers */
    *pREG_PORTA_MUX = SPT1_ACLK_PORTA_MUX | SPT1_AFS_PORTA_MUX
     | SPT1_AD0_PORTA_MUX;
    *pREG_PORTC_MUX = SPT0_ACLK_PORTC_MUX | SPT0_AFS_PORTC_MUX
     | SPT0_AD0_PORTC_MUX | SPT0_BCLK_PORTC_MUX | SPT0_BFS_PORTC_MUX
     | SPT0_BD0_PORTC_MUX | SPT1_BCLK_PORTC_MUX | SPT1_BFS_PORTC_MUX
     | SPT1_BD0_PORTC_MUX;

    /* PORTx_FER registers */
    *pREG_PORTA_FER = SPT1_ACLK_PORTA_FER | SPT1_AFS_PORTA_FER
     | SPT1_AD0_PORTA_FER;
    *pREG_PORTC_FER = SPT0_ACLK_PORTC_FER | SPT0_AFS_PORTC_FER
     | SPT0_AD0_PORTC_FER | SPT0_BCLK_PORTC_FER | SPT0_BFS_PORTC_FER
     | SPT0_BD0_PORTC_FER | SPT1_BCLK_PORTC_FER | SPT1_BFS_PORTC_FER
     | SPT1_BD0_PORTC_FER;
    return 0;
}

